Method: organizations.securityMonitoringConditions.list

List security monitoring conditions.

HTTP request

GET https://apigee.googleapis.com/v1/{parent=organizations/*}/securityMonitoringConditions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. For a specific organization, list all the security monitoring conditions. Format: organizations/{org}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of monitoring conditions to return.

pageToken

string

Optional. A page token, received from a previous securityMonitoringConditions.list call. Provide this to retrieve the subsequent page.

filter

string

Optional. Filter for the monitoring conditions. When RiskAssessmentType is APIGEE, monitoring conditions can be filtered by profile and scope. For example: profile=profile1 AND scope=env1 When RiskAssessmentType is API_HUB, monitoring conditions can be filtered by profile and apiHubGateway. For example: profile=profile1 AND apiHubGateway=gateway1

riskAssessmentType

enum (RiskAssessmentType)

Optional. The risk assessment type of the security monitoring condition. Defaults to ADVANCED_API_SECURITY.

Request body

The request body must be empty.

Response body

Response for securityMonitoringConditions.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "securityMonitoringConditions": [
    {
      object (SecurityMonitoringCondition)
    }
  ],
  "nextPageToken": string
}
Fields
securityMonitoringConditions[]

object (SecurityMonitoringCondition)

List of security monitoring conditions in the organization.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform